Bug 209320 - attempt to lock already locked VG hangs with gulm
attempt to lock already locked VG hangs with gulm
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: lvm2 (Show other bugs)
4.4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Christine Caulfield
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-10-04 12:11 EDT by Nate Straz
Modified: 2007-11-16 20:14 EST (History)
4 users (show)

See Also:
Fixed In Version: RHBA-2007-0287
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-07 20:10:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nate Straz 2006-10-04 12:11:34 EDT
Description of problem:

In a cluster using GuLM, when a second node attempts to exclusively activate a
volume group, the command hangs instead of fails.

Version-Release number of selected component (if applicable):

lvm2-2.02.06-6.0.RHEL4
lvm2-cluster-2.02.06-7.0.RHEL4

How reproducible:
100%

Steps to Reproduce:
1. configure GuLM cluster
2. start clvmd
3. on node A, vgchange -aey <vgname>
4. on node B, vgchange -aey <vgname>
  
Actual results:

The vgchange command on the second node hangs and cannot be interrupted.

Expected results:

The vgchange command on the second node should return an error.

Additional info:
Comment 1 Christine Caulfield 2006-12-11 09:01:36 EST
clvmd was looking for LCK_NONBLOCK as the flag for a non-blocking lock, whereas
it has been translated into the (DLM-specific) LKF_NOQUEUE flag by that time.

Checking in daemons/clvmd/clvmd-command.c;
/cvs/lvm2/LVM2/daemons/clvmd/clvmd-command.c,v  <--  clvmd-command.c
new revision: 1.14; previous revision: 1.13
done
Checking in daemons/clvmd/clvmd-gulm.c;
/cvs/lvm2/LVM2/daemons/clvmd/clvmd-gulm.c,v  <--  clvmd-gulm.c
new revision: 1.20; previous revision: 1.19
done
Checking in daemons/clvmd/clvmd-gulm.h;
/cvs/lvm2/LVM2/daemons/clvmd/clvmd-gulm.h,v  <--  clvmd-gulm.h
new revision: 1.3; previous revision: 1.2
done
Checking in lib/locking/locking.h;
/cvs/lvm2/LVM2/lib/locking/locking.h,v  <--  locking.h
new revision: 1.29; previous revision: 1.28
done
Comment 3 Christine Caulfield 2006-12-11 09:49:19 EST
Set to POST rather than MODIFIED...
Comment 4 Alasdair Kergon 2006-12-17 13:49:33 EST
lvm2-cluster-2.02.17-1
Comment 5 Corey Marthaler 2006-12-19 14:58:55 EST
fix verified in lvm2-cluster-2.02.17-1.
Comment 9 Red Hat Bugzilla 2007-05-07 20:10:05 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2007-0287.html

Note You need to log in before you can comment on or make changes to this bug.